# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tessitura_rest/version'

Gem::Specification.new do |spec|
  spec.name          = "tessitura_rest"
  spec.version       = TessituraRest::VERSION
  spec.authors       = ['Brittany Martin, Danielle Greaves, Craig Donavin, Patrick FitzGerald']
  spec.email         = ['webteam@trustarts.org']

  spec.summary       = "Rest API Endpoint for the Tessitura Rest API (v14+)."
  spec.description   = "TessituraRest is an enterprise-wide, fully integrated software system for arts & cultural organizations."
  spec.homepage      = "https://github.com/pgharts/tessitura"
  spec.license       = "MIT"
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "pry"

  spec.add_dependency "json"
  spec.add_dependency "httparty"
  spec.add_dependency "require_all"
end
